Subject: first sightings, ne Wisconsin, usa

From: Gary Fewless <[email-masked]>
Date: Sat, 6 May 1995 13:18:17 -0500

First black swallowtail of the year of which I am aware was May 6 in Door
County Wis (approx lat 44 50  long 87 25). temperature about 50 F.

The total number of bflies seen this year is very small so far.  Plant
phenology is about as late as it has been in the last ten years and that is
probably a fair indication of the cool, cloudy conditions generally experienced
here this spring.

gary fewless  [email-masked]